2

This question already has an answer here:

I am using Ubuntu 18.04. I used synaptics to install eclipse. There I selected default eclipse and default dependencies as marked by synaptics, applied them and then closed synaptics.

Now when I press the window key in keyboard and type eclipse in search bar, the eclipse icon appears. On clicking on the icon, the eclipse application is unable to start. Instead I get a pop up menu saying

An error has occurred. See the log file /home/username/.eclipse/org.eclipse.platform_3.8_155965261/configuration/1528986311505.log

Also if I try to open eclipse from terminal, same thing happens

The command

java -version

gives the result

openjdk version "10.0.1" 2018-04-17
OpenJDK Runtime Environment (build 10.0.1+10-Ubuntu-3ubuntu1)
OpenJDK 64-Bit Server VM (build 10.0.1+10-Ubuntu-3ubuntu1, mixed mode)

The content of the log file is:

!SESSION Thu Jun 14 19:55:11 IST 2018
------------------------------------------ !ENTRY org.eclipse.equinox.launcher 4 0 2018-06-14 19:55:11.579 !MESSAGE Exception launching the Eclipse Platform: !STACK java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
        at java.base/java.net.URLClassLoader.findClass(URLClassLoader.java:466)
        at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:566)
        at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:499)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:626)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1414)

~

So how to fix this?

marked as duplicate by karel, zwets, Fabby, Thomas, Zanna Aug 19 '18 at 16:03

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

0

The version of eclipse in Ubuntu 18.04 (and 18.04.1) is broken.

Almost noone use the version of eclipse provided by ubuntu. You should follow the procedure at https://doc.ubuntu-fr.org/eclipse#installation_par_le_nouvel_outil_eclipse_installer and install a more recent version.

Not the answer you're looking for? Browse other questions tagged or ask your own question.